#
Summary: Fermi workgroup tags package
Name: workgroup-tag
Version: 2.0
Release: 6
Copyright: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Distribution: Fermi Linux v6.1.2
Vendor: Fermilab
Packager: Dan Yocum, Connie Sieh
BuildArchitectures: noarch

%description
This package creates the tag files to determine different installation paths.

%package -n Astro-tag
Summary: Astro workgroup tag file
Group: Fermi
%description -n Astro-tag
This package creates the tag file to enable the Astro installation path.

%files -n Astro-tag

%post -n Astro-tag
if [ -f /etc/workgroup ] 
then
	mv -f /etc/workgroup /etc/workgroup.rpmsave
fi
echo "Astro" > /etc/workgroup
chmod 644 /etc/workgroup

%postun -n Astro-tag
if [ -f /etc/workgroup -a -f /etc/workgroup.rpmsave ] 
then
	rm -f /etc/workgroup
	mv -f /etc/workgroup.rpmsave /etc/workgroup
else
	rm -f /etc/workgroup
fi

%package -n CDF-tag
Summary:  CDF workgroup tag file
Group: Fermi
%description -n CDF-tag
This package creates the tag file to enable the CDF installation path.

%files -n CDF-tag

%post -n CDF-tag
if [ -f /etc/workgroup ] 
then
	mv -f /etc/workgroup /etc/workgroup.rpmsave
fi
echo "CDF" > /etc/workgroup
chmod 644 /etc/workgroup
 
%postun -n CDF-tag
if [ -f /etc/workgroup -a -f /etc/workgroup.rpmsave ] 
then
	rm -f /etc/workgroup
	mv -f /etc/workgroup.rpmsave /etc/workgroup
else
	rm -f /etc/workgroup
fi

%package -n CDFoffsite-tag
Summary:  CDF Offsite workgroup tag file
Group: Fermi
%description -n CDFoffsite-tag
This package creates the tag file to enable the CDF Offsite installation path.

%files -n CDFoffsite-tag

%post -n CDFoffsite-tag
if [ -f /etc/workgroup ] 
then
	mv -f /etc/workgroup /etc/workgroup.rpmsave
fi
echo "CDFoffsite" > /etc/workgroup
chmod 644 /etc/workgroup

%postun -n CDFoffsite-tag
if [ -f /etc/workgroup -a -f /etc/workgroup.rpmsave ] 
then
	rm -f /etc/workgroup
	mv -f /etc/workgroup.rpmsave /etc/workgroup
else
	rm -f /etc/workgroup
fi

%package -n CDFonline-tag
Summary:  CDFonline workgroup tag file
Group: Fermi
%description -n CDFonline-tag
This package creates the tag file to enable the CDFonline installation path.

%files -n CDFonline-tag

%post -n CDFonline-tag
if [ -f /etc/workgroup ] 
then
	mv -f /etc/workgroup /etc/workgroup.rpmsave
fi
echo "CDFonline" > /etc/workgroup
chmod 644 /etc/workgroup

%postun -n CDFonline-tag
if [ -f /etc/workgroup -a -f /etc/workgroup.rpmsave ] 
then
	rm -f /etc/workgroup
	mv -f /etc/workgroup.rpmsave /etc/workgroup
else
	rm -f /etc/workgroup
fi

%package -n ConsoleServer-tag
Summary: ConsoleServer workgroup tag file
Group: Fermi
%description -n ConsoleServer-tag
This package creates the tag file to enable the ConsoleServer installation path.

%files -n ConsoleServer-tag

%post -n ConsoleServer-tag
if [ -f /etc/workgroup ] 
then
	mv -f /etc/workgroup /etc/workgroup.rpmsave
fi
echo "ConsoleServer" > /etc/workgroup
chmod 644 /etc/workgroup
 
%postun -n ConsoleServer-tag
if [ -f /etc/workgroup -a -f /etc/workgroup.rpmsave ] 
then
	rm -f /etc/workgroup
	mv -f /etc/workgroup.rpmsave /etc/workgroup
else
	rm -f /etc/workgroup
fi

%package -n CUSTOM-tag
Summary:  CUSTOM workgroup tag file
Group: Fermi
%description -n CUSTOM-tag
This package creates the tag file to enable the CUSTOM installation path.

%files -n CUSTOM-tag

%post -n CUSTOM-tag
if [ -f /etc/workgroup ] 
then
	mv -f /etc/workgroup /etc/workgroup.rpmsave
fi
echo "CUSTOM" > /etc/workgroup
chmod 644 /etc/workgroup

%postun -n CUSTOM-tag
if [ -f /etc/workgroup -a -f /etc/workgroup.rpmsave ] 
then
	rm -f /etc/workgroup
	mv -f /etc/workgroup.rpmsave /etc/workgroup
else
	rm -f /etc/workgroup
fi

%package -n D0desktop-tag
Summary: D0desktop workgroup tag file
Group: Fermi
%description -n D0desktop-tag
This package creates the tag file to enable the D0desktop installation path.

%files -n D0desktop-tag

%post -n D0desktop-tag
if [ -f /etc/workgroup ] 
then
	mv -f /etc/workgroup /etc/workgroup.rpmsave
fi
echo "D0desktop" > /etc/workgroup
chmod 644 /etc/workgroup

%postun -n D0desktop-tag
if [ -f /etc/workgroup -a -f /etc/workgroup.rpmsave ] 
then
	rm -f /etc/workgroup
	mv -f /etc/workgroup.rpmsave /etc/workgroup
else
	rm -f /etc/workgroup
fi

%package -n D0offsite-tag
Summary: D0offsite workgroup tag file
Group: Fermi
%description -n D0offsite-tag
This package creates the tag file to enable the D0offsite installation path.

%files -n D0offsite-tag

%post -n D0offsite-tag
if [ -f /etc/workgroup ] 
then
	mv -f /etc/workgroup /etc/workgroup.rpmsave
fi
echo "D0offsite" > /etc/workgroup
chmod 644 /etc/workgroup

%postun -n D0offsite-tag
if [ -f /etc/workgroup -a -f /etc/workgroup.rpmsave ] 
then
	rm -f /etc/workgroup
	mv -f /etc/workgroup.rpmsave /etc/workgroup
else
	rm -f /etc/workgroup
fi

%package -n Farms-tag
Summary: Farms workgroup tag file
Group: Fermi
%description -n Farms-tag
This package creates the tag file to enable the Farms installation path.

%files -n Farms-tag

%post -n Farms-tag
if [ -f /etc/workgroup ] 
then
	mv -f /etc/workgroup /etc/workgroup.rpmsave
fi
echo "Farms" > /etc/workgroup
chmod 644 /etc/workgroup

%postun -n Farms-tag
if [ -f /etc/workgroup -a -f /etc/workgroup.rpmsave ] 
then
	rm -f /etc/workgroup
	mv -f /etc/workgroup.rpmsave /etc/workgroup
else
	rm -f /etc/workgroup
fi

%package -n GenericFarm-tag
Summary: GenericFarm workgroup tag file
Group: Fermi
%description -n GenericFarm-tag
This package creates the tag file to enable the GenericFarm installation path.

%files -n GenericFarm-tag

%post -n GenericFarm-tag
if [ -f /etc/workgroup ] 
then
	mv -f /etc/workgroup /etc/workgroup.rpmsave
fi
echo "GenericFarm" > /etc/workgroup
chmod 644 /etc/workgroup

%postun -n GenericFarm-tag
if [ -f /etc/workgroup -a -f /etc/workgroup.rpmsave ] 
then
	rm -f /etc/workgroup
	mv -f /etc/workgroup.rpmsave /etc/workgroup
else
	rm -f /etc/workgroup
fi

%package -n FermiStandAlone-tag
Summary: FermiStandAlone workgroup tag file
Group: Fermi
%description -n FermiStandAlone-tag
This package creates the tag file to enable the FermiStandAlone installation path.

%files -n FermiStandAlone-tag

%post -n FermiStandAlone-tag
if [ -f /etc/workgroup ] 
then
	mv -f /etc/workgroup /etc/workgroup.rpmsave
fi
echo "FermiStandAlone" > /etc/workgroup
chmod 644 /etc/workgroup

%postun -n FermiStandAlone-tag
if [ -f /etc/workgroup -a -f /etc/workgroup.rpmsave ] 
then
	rm -f /etc/workgroup
	mv -f /etc/workgroup.rpmsave /etc/workgroup
else
	rm -f /etc/workgroup
fi

%package -n FOCUS-tag
Summary: FOCUS workgroup tag file
Group: Fermi
%description -n FOCUS-tag
This package creates the tag file to enable the FOCUS installation path.

%files -n FOCUS-tag

%post -n FOCUS-tag
if [ -f /etc/workgroup ] 
then
	mv -f /etc/workgroup /etc/workgroup.rpmsave
fi
echo "FOCUS" > /etc/workgroup
chmod 644 /etc/workgroup

%postun -n FOCUS-tag
if [ -f /etc/workgroup -a -f /etc/workgroup.rpmsave ] 
then
	rm -f /etc/workgroup
	mv -f /etc/workgroup.rpmsave /etc/workgroup
else
	rm -f /etc/workgroup
fi

%package -n ODS-tag
Summary: ODS workgroup tag file
Group: Fermi
%description -n ODS-tag
This package creates the tag file to enable the ODS installation path.

%files -n ODS-tag

%post -n ODS-tag
if [ -f /etc/workgroup ] 
then
	mv -f /etc/workgroup /etc/workgroup.rpmsave
fi
echo "ODS" > /etc/workgroup
chmod 644 /etc/workgroup

%postun -n ODS-tag
if [ -f /etc/workgroup -a -f /etc/workgroup.rpmsave ] 
then
	rm -f /etc/workgroup
	mv -f /etc/workgroup.rpmsave /etc/workgroup
else
	rm -f /etc/workgroup
fi

%package -n OSS-tag
Summary: OSS workgroup tag file
Group: Fermi
%description -n OSS-tag
This package creates the tag file to enable the OSS installation path.

%files -n OSS-tag

%post -n OSS-tag
if [ -f /etc/workgroup ] 
then
	mv -f /etc/workgroup /etc/workgroup.rpmsave
fi
echo "OSS" > /etc/workgroup
chmod 644 /etc/workgroup

%postun -n OSS-tag
if [ -f /etc/workgroup -a -f /etc/workgroup.rpmsave ] 
then
	rm -f /etc/workgroup
	mv -f /etc/workgroup.rpmsave /etc/workgroup
else
	rm -f /etc/workgroup
fi

%package -n PAT-tag
Summary: PAT workgroup tag file
Group: Fermi
%description -n PAT-tag
This package creates the tag file to enable the PAT installation path.

%files -n PAT-tag

%post -n PAT-tag
if [ -f /etc/workgroup ] 
then
	mv -f /etc/workgroup /etc/workgroup.rpmsave
fi
echo "PAT" > /etc/workgroup
chmod 644 /etc/workgroup

%postun -n PAT-tag
if [ -f /etc/workgroup -a -f /etc/workgroup.rpmsave ] 
then
	rm -f /etc/workgroup
	mv -f /etc/workgroup.rpmsave /etc/workgroup
else
	rm -f /etc/workgroup
fi

%package -n RIP-tag
Summary: RIP workgroup tag file
Group: Fermi
%description -n RIP-tag
This package creates the tag file to enable the RIP installation path.

%files -n RIP-tag

%post -n RIP-tag
if [ -f /etc/workgroup ] 
then
	mv -f /etc/workgroup /etc/workgroup.rpmsave
fi
echo "RIP" > /etc/workgroup
chmod 644 /etc/workgroup

%postun -n RIP-tag
if [ -f /etc/workgroup -a -f /etc/workgroup.rpmsave ] 
then
	rm -f /etc/workgroup
	mv -f /etc/workgroup.rpmsave /etc/workgroup
else
	rm -f /etc/workgroup
fi

%package -n SDSS-tag
Summary: SDSS workgroup tag file
Group: Fermi
%description -n SDSS-tag
This package creates the tag file to enable the SDSS installation path.

%files -n SDSS-tag

%post -n SDSS-tag
if [ -f /etc/workgroup ] 
then
	mv -f /etc/workgroup /etc/workgroup.rpmsave
fi
echo "SDSS" > /etc/workgroup
chmod 644 /etc/workgroup

%postun -n SDSS-tag
if [ -f /etc/workgroup -a -f /etc/workgroup.rpmsave ] 
then
	rm -f /etc/workgroup
	mv -f /etc/workgroup.rpmsave /etc/workgroup
else
	rm -f /etc/workgroup
fi

%package -n Theory-tag
Summary: Theory workgroup tag file
Group: Fermi
%description -n Theory-tag
This package creates the tag file to enable the Theory installation path.

%files -n Theory-tag

%post -n Theory-tag
if [ -f /etc/workgroup ] 
then
	mv -f /etc/workgroup /etc/workgroup.rpmsave
fi
echo "Theory" > /etc/workgroup
chmod 644 /etc/workgroup

%postun -n Theory-tag
if [ -f /etc/workgroup -a -f /etc/workgroup.rpmsave ] 
then
	rm -f /etc/workgroup
	mv -f /etc/workgroup.rpmsave /etc/workgroup
else
	rm -f /etc/workgroup
fi

%package -n CDFlevel3-tag
Summary: CDFlevel3 workgroup tag file
Group: Fermi
%description -n CDFlevel3-tag
This package creates the tag file to enable the CDFlevel3 installation path.

%files -n CDFlevel3-tag

%post -n CDFlevel3-tag
if [ -f /etc/workgroup ] 
then
	mv -f /etc/workgroup /etc/workgroup.rpmsave
fi
echo "CDFlevel3" > /etc/workgroup
chmod 644 /etc/workgroup

%postun -n CDFlevel3-tag
if [ -f /etc/workgroup -a -f /etc/workgroup.rpmsave ] 
then
	rm -f /etc/workgroup
	mv -f /etc/workgroup.rpmsave /etc/workgroup
else
	rm -f /etc/workgroup
fi

%package -n CMSdesktop-tag
Summary: CMSdesktop workgroup tag file
Group: Fermi
%description -n CMSdesktop-tag
This package creates the tag file to enable the CMSdesktop installation path.

%files -n CMSdesktop-tag

%post -n CMSdesktop-tag
if [ -f /etc/workgroup ] 
then
	mv -f /etc/workgroup /etc/workgroup.rpmsave
fi
echo "CMSdesktop" > /etc/workgroup
chmod 644 /etc/workgroup

%postun -n CMSdesktop-tag
if [ -f /etc/workgroup -a -f /etc/workgroup.rpmsave ] 
then
	rm -f /etc/workgroup
	mv -f /etc/workgroup.rpmsave /etc/workgroup
else
	rm -f /etc/workgroup
fi

%package -n CMSserver-tag
Summary: CMSserver workgroup tag file
Group: Fermi
%description -n CMSserver-tag
This package creates the tag file to enable the CMSserver installation path.

%files -n CMSserver-tag

%post -n CMSserver-tag
if [ -f /etc/workgroup ] 
then
	mv -f /etc/workgroup /etc/workgroup.rpmsave
fi
echo "CMSserver" > /etc/workgroup
chmod 644 /etc/workgroup

%postun -n CMSserver-tag
if [ -f /etc/workgroup -a -f /etc/workgroup.rpmsave ] 
then
	rm -f /etc/workgroup
	mv -f /etc/workgroup.rpmsave /etc/workgroup
else
	rm -f /etc/workgroup
fi

%package -n CMSfarm-tag
Summary: CMSfarm workgroup tag file
Group: Fermi
%description -n CMSfarm-tag
This package creates the tag file to enable the CMSfarm installation path.

%files -n CMSfarm-tag

%post -n CMSfarm-tag
if [ -f /etc/workgroup ] 
then
	mv -f /etc/workgroup /etc/workgroup.rpmsave
fi
echo "CMSfarm" > /etc/workgroup
chmod 644 /etc/workgroup

%postun -n CMSfarm-tag
if [ -f /etc/workgroup -a -f /etc/workgroup.rpmsave ] 
then
	rm -f /etc/workgroup
	mv -f /etc/workgroup.rpmsave /etc/workgroup
else
	rm -f /etc/workgroup
fi

%package -n FnaluInteractive-tag
Summary: FnaluInteractive workgroup tag file
Group: Fermi
%description -n FnaluInteractive-tag
This package creates the tag file to enable the FnaluInteractive installation path.

%files -n FnaluInteractive-tag

%post -n FnaluInteractive-tag
if [ -f /etc/workgroup ] 
then
	mv -f /etc/workgroup /etc/workgroup.rpmsave
fi
echo "FnaluInteractive" > /etc/workgroup
chmod 644 /etc/workgroup

%postun -n FnaluInteractive-tag
if [ -f /etc/workgroup -a -f /etc/workgroup.rpmsave ] 
then
	rm -f /etc/workgroup
	mv -f /etc/workgroup.rpmsave /etc/workgroup
else
	rm -f /etc/workgroup
fi
